{{- if .Values.serviceMonitor.enabled -}}
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: {{ include "wse.fullname" . }}
  labels:
    {{- include "wse.labels" . | nindent 4 }}
  {{- with .Values.serviceMonitor.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
{{- end }}
spec:
  endpoints:
    - port: http
      path: /metrics
      interval: {{ .Values.serviceMonitor.interval  }}
      scheme: http
      {{- with .Values.serviceMonitor.extraVal }}
      {{-  toYaml . | nindent 6}}
      {{- end }}
  selector:
    matchLabels:
      {{- include "wse.labels" . | nindent 6 }}

